Package picard.analysis.artifacts

# Class SequencingArtifactMetrics.BaitBiasDetailMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.artifacts.SequencingArtifactMetrics.BaitBiasDetailMetrics

Enclosing class:
  `SequencingArtifactMetrics`

@DocumentedFeature(groupName="Metrics", summary="Metrics") public static class SequencingArtifactMetrics.BaitBiasDetailMetrics extends htsjdk.samtools.metrics.MetricBase
Bait bias artifacts broken down by context.

## Field Summary

Fields
Modifier and Type
Field
Description
`char`
`ALT_BASE`
The (upper-case) alternative base that is called as a result of DNA damage.
`String`
`CONTEXT`
The sequence context to which the analysis is constrained.
`double`
`ERROR_RATE`
The bait bias error rate, calculated as max(1e-10, FWD_ERROR_RATE - REV_ERROR_RATE).
`long`
`FWD_CXT_ALT_BASES`
The number of REF_BASE:ALT_BASE alignments at sites with the given reference context.
`long`
`FWD_CXT_REF_BASES`
The number of REF_BASE:REF_BASE alignments at sites with the given reference context.
`double`
`FWD_ERROR_RATE`
The substitution rate of REF_BASE:ALT_BASE, calculated as max(1e-10, FWD_CXT_ALT_BASES / (FWD_CXT_ALT_BASES + FWD_CXT_REF_BASES)).
`String`
`LIBRARY`
The name of the library being assayed.
`double`
`QSCORE`
The Phred-scaled quality score of the artifact, calculated as -10 * log10(ERROR_RATE).
`char`
`REF_BASE`
The (upper-case) original base on the reference strand.
`long`
`REV_CXT_ALT_BASES`
The number of ~REF_BASE:~ALT_BASE alignments at sites complementary to the given reference context.
`long`
`REV_CXT_REF_BASES`
The number of ~REF_BASE:~REF_BASE alignments at sites complementary to the given reference context.
`double`
`REV_ERROR_RATE`
The substitution rate of ~REF_BASE:~ALT_BASE, calculated as max(1e-10, REV_CXT_ALT_BASES / (REV_CXT_ALT_BASES + REV_CXT_REF_BASES)).
`String`
`SAMPLE_ALIAS`

## Constructor Summary

Constructors
Constructor
Description
`BaitBiasDetailMetrics()`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateDerivedStatistics()`
Calculate the error rate given the raw counts.
`int`
`compareTo(SequencingArtifactMetrics.BaitBiasDetailMetrics o)`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SAMPLE_ALIAS

public String SAMPLE_ALIAS

### LIBRARY

public String LIBRARY
The name of the library being assayed.

### REF_BASE

public char REF_BASE
The (upper-case) original base on the reference strand.

### ALT_BASE

public char ALT_BASE
The (upper-case) alternative base that is called as a result of DNA damage.

### CONTEXT

public String CONTEXT
The sequence context to which the analysis is constrained.

### FWD_CXT_REF_BASES

public long FWD_CXT_REF_BASES
The number of REF_BASE:REF_BASE alignments at sites with the given reference context.

### FWD_CXT_ALT_BASES

public long FWD_CXT_ALT_BASES
The number of REF_BASE:ALT_BASE alignments at sites with the given reference context.

### REV_CXT_REF_BASES

public long REV_CXT_REF_BASES
The number of ~REF_BASE:~REF_BASE alignments at sites complementary to the given reference context.

### REV_CXT_ALT_BASES

public long REV_CXT_ALT_BASES
The number of ~REF_BASE:~ALT_BASE alignments at sites complementary to the given reference context.

### FWD_ERROR_RATE

public double FWD_ERROR_RATE
The substitution rate of REF_BASE:ALT_BASE, calculated as max(1e-10, FWD_CXT_ALT_BASES / (FWD_CXT_ALT_BASES + FWD_CXT_REF_BASES)).

### REV_ERROR_RATE

public double REV_ERROR_RATE
The substitution rate of ~REF_BASE:~ALT_BASE, calculated as max(1e-10, REV_CXT_ALT_BASES / (REV_CXT_ALT_BASES + REV_CXT_REF_BASES)).

### ERROR_RATE

public double ERROR_RATE
The bait bias error rate, calculated as max(1e-10, FWD_ERROR_RATE - REV_ERROR_RATE).

### QSCORE

public double QSCORE
The Phred-scaled quality score of the artifact, calculated as -10 * log10(ERROR_RATE).

## Constructor Details

### BaitBiasDetailMetrics

public BaitBiasDetailMetrics()

## Method Details

### calculateDerivedStatistics

public void calculateDerivedStatistics()
Calculate the error rate given the raw counts. Negative rates are set to MIN_ERROR.

### compareTo

public int compareTo(SequencingArtifactMetrics.BaitBiasDetailMetrics o)